이 페이지는 아직 한국어로 제공되지 않으며 번역 작업 중입니다. 번역에 관한 질문이나 의견이 있으시면 언제든지 저희에게 연락해 주십시오.

The following ASM capabilities are supported relative to each language’s tracing library:

ASM capabilityJava.NETNode.jsPythonGoRubyPHP
Threat Detection1.8.02.23.03.13.11.9.01.47.01.9.00.84.0
API Security1.31.02.42.03.51.0 for Node.js 14+, 4.30.0 for Node.js 16+, or 5.6.0 for Node.js 18+not supported1.59.01.15.00.98.0
Threat Protection1.9.02.26.03.19.01.10.0v1.50.01.11.00.86.0
Customize response to blocked requests1.11.02.27.03.22.0 for Node.js 14+, or 4.1.0 for Node.js 16+1.19.0v1.53.01.15.00.86.0
Software Composition Analysis (SCA)1.1.42.16.03.10.0 for Node.js 14+1.5.01.49.01.11.00.90.0
Code Security (beta)1.15.02.42.03.39.0 for Node.js 14+, 4.18.0 for Node.js 16+, or 5.0.0 for Node.js 18+private betanot supportednot supportednot supported
Automatic user activity event tracking1.20.02.32.03.25.0 for Node.js 14+, or 4.4.0 for Node.js 16+1.17.0not supported1.14.00.89.0

Select your application language for details about framework compatibility and feature support.

Java
.Net
go
Ruby
PHP
Node.js
Python

Further Reading